Bug 168679 - There is no way to open all my Kenai project once you close them in the dashboard
There is no way to open all my Kenai project once you close them in the dashb...
Status: VERIFIED FIXED
Product: connecteddeveloper
Classification: Unclassified
Component: Team Framework
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Jan Becicka
issues@connecteddeveloper
: PLAN
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-16 14:29 UTC by Petr Dvorak
Modified: 2009-10-26 15:41 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
Open my projects (158.27 KB, image/png)
2009-07-21 10:41 UTC, Ondrej Langr
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Dvorak 2009-07-16 14:29:08 UTC
Product Version: NetBeans IDE 6.7.1 RC (Build 200907150227)
Java: 1.6.0_13; Java HotSpot(TM) 64-Bit Server VM 11.3-b02-83
System: Mac OS X version 10.5.7 running on x86_64; MacRoman; en_US (nb)

1. Start IDE with a fresh userdir
2. Login to Kenai
-> Dashboard opens, you see your projects

3. Close all your projects
-> The only way to get your project back to the dashboard is to modify your userdir, there is no UI for it
Comment 1 Jan Becicka 2009-07-17 12:12:19 UTC
Maybe we should not allow to close "my projects". Ideal solution will be to 
* allow to join/leave projects from the IDE
* do not allow to close "my projects"

any opinion?
Comment 2 Tomas Pavek 2009-07-17 12:25:23 UTC
BTW you can get your projects back - just need to open them again manually (so you must remember them). You just never 
get back a private project (can't be searched).

So the solution is either an action to open all my projects, or not allow to close my projects - or perhaps always 
open all my project upon login or refresh (because when I log out I would be able to close them anyway).
Comment 3 Ondrej Langr 2009-07-21 10:40:57 UTC
While this certainly is a way to solve this problem IMO, neither of the two suggested solutions is very user friendly. 

My assumptions are: 
 1) The need is typically to open just one project I'm member of and do not have opened. 
 2) Standard way of opening a project users are used to is open project dialog
 3) Not allowing to close a project would go against users with strong sense of focus and flow .. if somebody wants to
have just a single project open which 
 4) It's the kind of "rarely by many" action - it's not used often .. (how often do you switch real projects you're
working on?), but sooner all later it happens to many users. 

From these assumptions, it seems that the correct way is to allow to open just one project I'm a member of and haven't
worked on for quite some time. And since standard way of opening "all" projects is the open project dialog, it should be
done there. 

One of possible solutions is attached .. 
Comment 4 Ondrej Langr 2009-07-21 10:41:55 UTC
Created attachment 84986 [details]
Open my projects
Comment 5 Tomas Pavek 2009-07-21 12:57:40 UTC
Do you mean that 'Show only my projects' checkbox would disable the search field and show all my projects then? That 
could work.

If it is meant to actually search through the set of my projects, I can see couple of problems. Mainly the current 
project search does not show anything when searching for an empty string. In this case it's probably even bigger 
problem than in issue 165955 where it was discussed originally. I may not remember all my projects, so not always 
knowing what to search for - shouldn't the IDE be able to just show me all of my projects in some way?

Also note that private projects cannot be searched on Kenai - so trying to show them in the Open Project dialog would 
be quite problematic. Maybe not a big deal since private projects are not officially supported.

Then the implementation itself can be a bit tricky - need to invoke full search on Kenai, then filter out projects 
that are not mine. But this may mean to go through really huge set of data sometimes. Or we'd have to extend Kenai to 
support search for my projects directly.

I think the set of my projects is reasonably small not to have to search them (Kenai web does not support that 
either). The user can always search all projects if need to search...
Comment 6 Petr Dvorak 2009-07-21 13:18:45 UTC
What about doing this in a similar way the iTunes Store is done?

The open projects dialog would contain the search field. When you open the dialog and while the search string is still
empty, the area where the results list currently is would contain UI (tabs?) for my project, hot projects, recently
added project, ... etc. If users enters a search string and invokes the search, he/she will get the list of the results
and there would be a "home button" that brings you back from those results...
Comment 7 Ondrej Langr 2009-07-21 17:33:45 UTC
Tomas: I definitely don't insist on searching through "My projects" .. the list is typically small enough not to need this. 

Joshis: Makes sense and would do the job. The question is, if there is a need for other "types" of projects other then
"my projects". If so, this would be an elegant way.
Comment 8 Petr Dvorak 2009-07-21 17:45:57 UTC
> I think the set of my projects is reasonably small

Just to specify "reasonably small", we need to realize one thing: currently, "My project" is a project I have created
*or bookmarked*...

I am using the Kenai in a normal way and I have already 11 projects that are "mine" (created+bookmarked) and still I am
not participating in all the projects that might interest me (as they are not very well advertised anywhere)...

(This brings up a follow up issue that I don't see my role in the project anywhere...)
Comment 9 Tomas Pavek 2009-07-21 18:32:43 UTC
As for searching My Projects, I'd suggest to follow Kenai web here - now it does not allow to search My Projects, so I 
think the implicit assumption is that the list *is* reasonably small. Once/if they start to support searching it (and 
providing API for that), we can do the same thing.
Comment 10 Petr Dvorak 2009-08-04 16:33:13 UTC
Ondro, how will this be implemented in the end? Is there any specification on this ("bookmarked" vs. "opened" projects)?
Comment 11 Jan Becicka 2009-08-06 07:02:55 UTC
this is not P1 defect
Comment 12 Jan Becicka 2009-08-06 14:10:49 UTC
f
Comment 13 Quality Engineering 2009-08-07 05:44:46 UTC
Integrated into 'main-golden', will be available in build *200908070201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/9a3bee73f8b3
User: Jan Becicka <jbecicka@netbeans.org>
Log: #168679: There is no way to open all my Kenai project once you close them in the dashboard
Comment 14 Petr Dvorak 2009-10-26 15:41:34 UTC
Verified, done for 6.8


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo